summaryrefslogtreecommitdiffstats
path: root/libraries/libgcal
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2010-05-13 00:58:48 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:58:48 +0200
commitcefc9ee0fb9e9d0fd7963ce372ade1fcb78e451c (patch)
tree2f110b5fefbc2bd5212ef439388185dda5b85a02 /libraries/libgcal
parent0381f85e049783924612d0a1b277c5d42bc89e3d (diff)
downloadslackbuilds-cefc9ee0fb9e9d0fd7963ce372ade1fcb78e451c.tar.gz
slackbuilds-cefc9ee0fb9e9d0fd7963ce372ade1fcb78e451c.tar.xz
libraries/libgcal: Added to 13.0 repository
Diffstat (limited to 'libraries/libgcal')
-rw-r--r--libraries/libgcal/README4
-rw-r--r--libraries/libgcal/libgcal.SlackBuild76
-rw-r--r--libraries/libgcal/libgcal.info10
-rw-r--r--libraries/libgcal/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/libraries/libgcal/README b/libraries/libgcal/README
new file mode 100644
index 0000000000..4ab5affdde
--- /dev/null
+++ b/libraries/libgcal/README
@@ -0,0 +1,4 @@
+libgcal (google PIM libraries)
+
+Its an ANSI C library that does allow
+communication with google calendar and contacts
diff --git a/libraries/libgcal/libgcal.SlackBuild b/libraries/libgcal/libgcal.SlackBuild
new file mode 100644
index 0000000000..26549a2ad1
--- /dev/null
+++ b/libraries/libgcal/libgcal.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for libgcal
+
+# Written by Vincent Batts
+
+PRGNAM=libgcal
+VERSION=${VERSION:-0.9.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changelog.txt README INSTALL COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/libgcal/libgcal.info b/libraries/libgcal/libgcal.info
new file mode 100644
index 0000000000..aa2191bf0f
--- /dev/null
+++ b/libraries/libgcal/libgcal.info
@@ -0,0 +1,10 @@
+PRGNAM="libgcal"
+VERSION="0.9.3"
+HOMEPAGE="http://code.google.com/p/libgcal/"
+DOWNLOAD="http://libgcal.googlecode.com/files/libgcal-0.9.3.tar.bz2"
+MD5SUM="da5f842905111b0b88ee79049282dac3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="dsomero"
diff --git a/libraries/libgcal/slack-desc b/libraries/libgcal/slack-desc
new file mode 100644
index 0000000000..d9eb700aef
--- /dev/null
+++ b/libraries/libgcal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libgcal: libgcal (google PIM libraries)
+libgcal:
+libgcal: Its an ANSI C library that does allow
+libgcal: communication with google calendar and contacts
+libgcal:
+libgcal: Homepage: http://code.google.com/p/libgcal/
+libgcal:
+libgcal:
+libgcal:
+libgcal:
+libgcal: